//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/List/InstrumentsQListView.h
//! @brief     Defines class InstrumentsQListView.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_LIST_INSTRUMENTSQLISTVIEW_H
#define BORNAGAIN_GUI_VIEW_LIST_INSTRUMENTSQLISTVIEW_H

#include <QListView>

class InstrumentItem;
class InstrumentsQModel;

//! Instrument selector on the left side of InstrumentView.

class InstrumentsQListView : public QListView {
    Q_OBJECT
public:
    InstrumentsQListView();
    ~InstrumentsQListView();

    QSize sizeHint() const override;
    QSize minimumSizeHint() const override;

private slots:
    void onStoreInLibrary() const;
    void onLoadFromLibrary();

private:
    InstrumentsQModel* m_model;
};

#endif // BORNAGAIN_GUI_VIEW_LIST_INSTRUMENTSQLISTVIEW_H
